#pragma once

class Command {
public:
	std::vector<std::string> names;
	std::string description;
	std::string usage;
	Command(std::string description, std::string usage) {
		this->description = description;
		this->usage = usage;
	}

	virtual auto onExecute(std::vector<std::string> argments) -> bool;
};
